Package org.eclipse.jface.text.hyperlink

## Interface IHyperlinkDetectorExtension2

    public interface IHyperlinkDetectorExtension2

Extends `IHyperlinkDetector` with ability to specify the state mask of the modifier keys that need to be pressed for this hyperlink detector.

Clients may implement this interface.

Since:
  3.3

### Method Summary

All Methods Instance Methods Abstract Methods
`int` `getStateMask()` Returns the state mask of the modifier keys that need to be pressed for this hyperlink detector.

### Method Detail

#### getStateMask

    int getStateMask()

Returns the state mask of the modifier keys that need to be pressed for this hyperlink detector.

Returns:
  the state mask